Bug 1671731 - dnf list showduplicates incorrect output
Summary: dnf list showduplicates incorrect output
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: 8.1
Assignee: Jaroslav Mracek
QA Contact: Eva Mrakova
URL:
Whiteboard:
Depends On: 1681084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-01 13:30 UTC by Eva Mrakova
Modified: 2020-11-14 07:48 UTC (History)
5 users (show)

Fixed In Version: dnf-4.2.6-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:20:53 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:21:04 UTC

Description Eva Mrakova 2019-02-01 13:30:17 UTC
Description of problem:
'dnf list --showduplicates' lists installed packages in "available" section

Version-Release number of selected component (if applicable):
dnf-4.0.9.2-1.el8


How reproducible:
always


Steps to Reproduce:
1. have different package versions in enabled repos 
2. install the oldest version
3. run 'dnf list --available --showduplicates <pkg-name>'

Actual results:
installed version is in the "available" section

# dnf list --available --showduplicates TestA
Last metadata expiration check: 0:07:42 ago on Fri Feb  1 13:00:44 2019.
Available Packages
TestA.noarch                              1-1                              @base
TestA.noarch                              1-1                              base 
TestA.noarch                              2-1                              ext  
TestA.noarch                              3-1                              ext2 

compare also to
# dnf list --installed TestA
Installed Packages
TestA.noarch                              1-1                              @base
# dnf -y remove TestA
<snip>
# dnf list  --showduplicates TestA
Last metadata expiration check: 0:27:06 ago on Fri Feb  1 13:00:44 2019.
Available Packages
TestA.noarch                              1-1                               base
TestA.noarch                              2-1                               ext 
TestA.noarch                              3-1                               ext2

Expected results:
the row 
TestA.noarch                              1-1                              @base
is not present in the list of available packages

Comment 1 Jaroslav Mracek 2019-03-07 18:00:16 UTC
I create a patch that prevent adding installed packages into list of availables (https://github.com/rpm-software-management/dnf/pull/1349). Please do you have a test for the issue?

Comment 3 Eva Mrakova 2019-03-08 07:35:12 UTC
> I create a patch that prevent adding installed packages into list of
> availables (https://github.com/rpm-software-management/dnf/pull/1349).
> Please do you have a test for the issue?

yes, there's an upstream test showduplicates.feature (related scenario
is currently marked as @xfail @bz1671731).

Comment 4 Jaroslav Mracek 2019-03-08 08:19:05 UTC
Thanks a lot Eva

Comment 9 errata-xmlrpc 2019-11-05 22:20:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.